<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: pyspottedunipd.tmp Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="namespaces.html"><span>Namespace&#160;List</span></a></li>
      <li><a href="namespacemembers.html"><span>Namespace&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('namespacepyspottedunipd_1_1tmp.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">pyspottedunipd.tmp Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a0b8a5b5bcefd9c26c02f704e31fd7fb0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1tmp.html#a0b8a5b5bcefd9c26c02f704e31fd7fb0">h</a></td></tr>
<tr class="separator:a0b8a5b5bcefd9c26c02f704e31fd7fb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5c10b100e30f02e100da966da8e6cea"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1tmp.html#ae5c10b100e30f02e100da966da8e6cea">d</a></td></tr>
<tr class="separator:ae5c10b100e30f02e100da966da8e6cea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5f1061d8b1eb6c3a7e6f81691699898"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1tmp.html#ab5f1061d8b1eb6c3a7e6f81691699898">top_posts</a> = driver.get_top_posts(<a class="el" href="namespacepyspottedunipd_1_1tmp.html#a0b8a5b5bcefd9c26c02f704e31fd7fb0">h</a>, <a class="el" href="namespacepyspottedunipd_1_1tmp.html#ae5c10b100e30f02e100da966da8e6cea">d</a>, min_likes_to_be_top_posts=p)</td></tr>
<tr class="separator:ab5f1061d8b1eb6c3a7e6f81691699898"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3875d2d937905a938dae5f8a31e5ca4e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1tmp.html#a3875d2d937905a938dae5f8a31e5ca4e">msg_posts</a> = get_column_of_matrix(h.index(&quot;message&quot;), top_posts)</td></tr>
<tr class="separator:a3875d2d937905a938dae5f8a31e5ca4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d4953c2a21449abb6cf9090f0733bb0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1tmp.html#a3d4953c2a21449abb6cf9090f0733bb0">out_file</a></td></tr>
<tr class="separator:a3d4953c2a21449abb6cf9090f0733bb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7375413bebf096362f311f4fd3609de2"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1tmp.html#a7375413bebf096362f311f4fd3609de2">INPUT_FOLDER</a> = &quot;/home/stefano/Coding/Python/projects/spotted-unipd/data/text/&quot;</td></tr>
<tr class="separator:a7375413bebf096362f311f4fd3609de2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d17997625d5f238482ce44579f36429"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1tmp.html#a2d17997625d5f238482ce44579f36429">PERCENTILES</a> = [0, 25, 50, 60, 70, 80, 90, 95, 99]</td></tr>
<tr class="separator:a2d17997625d5f238482ce44579f36429"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bee8af2a2dd4c88a93df7430b30eedf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1tmp.html#a7bee8af2a2dd4c88a93df7430b30eedf">f</a> = os.path.join(<a class="el" href="namespacepyspottedunipd_1_1tmp.html#a7375413bebf096362f311f4fd3609de2">INPUT_FOLDER</a>, str(p) + &quot;_percentile_posts.txt&quot;)</td></tr>
<tr class="separator:a7bee8af2a2dd4c88a93df7430b30eedf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7998798718d2329cc94a2b992600ff80"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1tmp.html#a7998798718d2329cc94a2b992600ff80">top_words</a> = get_top_words_in_file(<a class="el" href="namespacepyspottedunipd_1_1tmp.html#a7bee8af2a2dd4c88a93df7430b30eedf">f</a>, WORDS_BLACKLIST_FIlE)</td></tr>
<tr class="separator:a7998798718d2329cc94a2b992600ff80"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="ae5c10b100e30f02e100da966da8e6cea"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.tmp.d</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="tmp_8py_source.html#l00022">22</a> of file <a class="el" href="tmp_8py_source.html">tmp.py</a>.</p>

</div>
</div>
<a class="anchor" id="a7bee8af2a2dd4c88a93df7430b30eedf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.tmp.f = os.path.join(<a class="el" href="namespacepyspottedunipd_1_1tmp.html#a7375413bebf096362f311f4fd3609de2">INPUT_FOLDER</a>, str(p) + &quot;_percentile_posts.txt&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="tmp_8py_source.html#l00041">41</a> of file <a class="el" href="tmp_8py_source.html">tmp.py</a>.</p>

</div>
</div>
<a class="anchor" id="a0b8a5b5bcefd9c26c02f704e31fd7fb0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.tmp.h</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="tmp_8py_source.html#l00022">22</a> of file <a class="el" href="tmp_8py_source.html">tmp.py</a>.</p>

</div>
</div>
<a class="anchor" id="a7375413bebf096362f311f4fd3609de2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string pyspottedunipd.tmp.INPUT_FOLDER = &quot;/home/stefano/Coding/Python/projects/spotted-unipd/data/text/&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="tmp_8py_source.html#l00038">38</a> of file <a class="el" href="tmp_8py_source.html">tmp.py</a>.</p>

</div>
</div>
<a class="anchor" id="a3875d2d937905a938dae5f8a31e5ca4e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">list pyspottedunipd.tmp.msg_posts = get_column_of_matrix(h.index(&quot;message&quot;), top_posts)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="tmp_8py_source.html#l00028">28</a> of file <a class="el" href="tmp_8py_source.html">tmp.py</a>.</p>

</div>
</div>
<a class="anchor" id="a3d4953c2a21449abb6cf9090f0733bb0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.tmp.out_file</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1tmp.html">    1</a></span>&#160;= os.path.join(<span class="stringliteral">&quot;/home/stefano/Coding/Python/projects/spotted-unipd/data/text/&quot;</span>,</div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;                            str(p) + <span class="stringliteral">&quot;_percentile_posts.txt&quot;</span>)</div></div><!-- fragment -->
<p>Definition at line <a class="el" href="tmp_8py_source.html#l00030">30</a> of file <a class="el" href="tmp_8py_source.html">tmp.py</a>.</p>

</div>
</div>
<a class="anchor" id="a2d17997625d5f238482ce44579f36429"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">list pyspottedunipd.tmp.PERCENTILES = [0, 25, 50, 60, 70, 80, 90, 95, 99]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="tmp_8py_source.html#l00039">39</a> of file <a class="el" href="tmp_8py_source.html">tmp.py</a>.</p>

</div>
</div>
<a class="anchor" id="ab5f1061d8b1eb6c3a7e6f81691699898"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.tmp.top_posts = driver.get_top_posts(<a class="el" href="namespacepyspottedunipd_1_1tmp.html#a0b8a5b5bcefd9c26c02f704e31fd7fb0">h</a>, <a class="el" href="namespacepyspottedunipd_1_1tmp.html#ae5c10b100e30f02e100da966da8e6cea">d</a>, min_likes_to_be_top_posts=p)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="tmp_8py_source.html#l00024">24</a> of file <a class="el" href="tmp_8py_source.html">tmp.py</a>.</p>

</div>
</div>
<a class="anchor" id="a7998798718d2329cc94a2b992600ff80"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">list pyspottedunipd.tmp.top_words = get_top_words_in_file(<a class="el" href="namespacepyspottedunipd_1_1tmp.html#a7bee8af2a2dd4c88a93df7430b30eedf">f</a>, WORDS_BLACKLIST_FIlE)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="tmp_8py_source.html#l00042">42</a> of file <a class="el" href="tmp_8py_source.html">tmp.py</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacepyspottedunipd.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1tmp.html">tmp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
